//
// fragment shader for Variance Shadow Maps
//

uniform sampler2D		mainMap;
uniform sampler2DShadow	shadowMap;

void main (void)
{
	vec3 	offs [4];
	vec4	clr  = texture2D ( mainMap, gl_TexCoord [0].xy );
	vec4	tex  = gl_TexCoord [1] / gl_TexCoord [1].w;
	vec4	sh   = shadow2D ( shadowMap, tex.xyz );
	
	gl_FragColor = clr * sh;
}
